Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.common.collection
Class LinkedListMultimap.ValueIterator

    java.lang.Object
      org.modeshape.common.collection.LinkedListMultimap.ValueIterator

All Implemented Interfaces:
  Iterator<V>, ListIterator<V>

Enclosing class:
  LinkedListMultimap<K,V>

    protected class LinkedListMultimap.ValueIterator

extends Object
implements ListIterator<V>

Constructor Summary
`protected` | `LinkedListMultimap.ValueIterator(K key)`
`protected` | `LinkedListMultimap.ValueIterator(K key, int index)`

Method Summary
`void` | `add(V value)`
`boolean` | `hasNext()`
`boolean` | `hasPrevious()`
`V` | `next()`
`int` | `nextIndex()`
`V` | `previous()`
`int` | `previousIndex()`
`void` | `remove()`
`void` | `set(V value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinkedListMultimap.ValueIterator

    protected LinkedListMultimap.ValueIterator(K key)

### LinkedListMultimap.ValueIterator

    protected LinkedListMultimap.ValueIterator(K key,
                                               int index)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<V>`
  Specified by:
    `hasNext` in interface `ListIterator<V>`
  See Also:
    `Iterator.hasNext()`

### next

    public V next()

  Specified by:
    `next` in interface `Iterator<V>`
  Specified by:
    `next` in interface `ListIterator<V>`
  See Also:
    `Iterator.next()`

### nextIndex

    public int nextIndex()

  Specified by:
    `nextIndex` in interface `ListIterator<V>`
  See Also:
    `ListIterator.nextIndex()`

### hasPrevious

    public boolean hasPrevious()

  Specified by:
    `hasPrevious` in interface `ListIterator<V>`
  See Also:
    `ListIterator.hasPrevious()`

### previous

    public V previous()

  Specified by:
    `previous` in interface `ListIterator<V>`
  See Also:
    `ListIterator.previous()`

### previousIndex

    public int previousIndex()

  Specified by:
    `previousIndex` in interface `ListIterator<V>`
  See Also:
    `ListIterator.previousIndex()`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<V>`
  Specified by:
    `remove` in interface `ListIterator<V>`
  See Also:
    `Iterator.remove()`

### add

    public void add(V value)

  Specified by:
    `add` in interface `ListIterator<V>`
  See Also:
    `ListIterator.add(java.lang.Object)`

### set

    public void set(V value)

  Specified by:
    `set` in interface `ListIterator<V>`
  See Also:
    `ListIterator.set(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.